Bug 1183265 - [Build 20210308] openQA test fails for boot_linuxrc
[Build 20210308] openQA test fails for boot_linuxrc
Status: NEW
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Installation
Current
aarch64 Other
: P5 - None : Normal (vote)
: ---
Assigned To: Kernel Bugs
Jiri Srain
https://openqa.opensuse.org/tests/166...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-03-10 08:52 UTC by Guillaume GARDET
Modified: 2021-07-25 00:02 UTC (History)
4 users (show)

See Also:
Found By: openQA
Services Priority:
Business Priority:
Blocker: Yes
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Guillaume GARDET 2021-03-10 08:52:00 UTC
## Observation

openQA test in scenario opensuse-Tumbleweed-DVD-aarch64-boot_linuxrc@aarch64 fails in
[first_boot](https://openqa.opensuse.org/tests/1663455/modules/first_boot/steps/1)

Since update to kernel 5.11, boot_linuxrc test fails. The linux system is not started and the blue screen of linuxrc remains.
linuxrc update seems to not be the culprit since it started to fail before the linuxrc update (was 7.0.26, now at 7.0.29).

## Test suite description
Start an already installed system from an installer DVD using the menu entry "Boot Linux System".


## Reproducible

Fails since (at least) Build [20210307](https://openqa.opensuse.org/tests/1661065)


## Expected result

Last good: [20210223](https://openqa.opensuse.org/tests/1644230) (or more recent)


## Further details

Always latest result in this scenario: [latest](https://openqa.opensuse.org/tests/latest?arch=aarch64&distri=opensuse&flavor=DVD&machine=aarch64&test=boot_linuxrc&version=Tumbleweed)
Comment 1 Oliver Kurz 2021-03-25 06:04:55 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: boot_linuxrc
https://openqa.opensuse.org/tests/1678593

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 2 Oliver Kurz 2021-04-09 05:03:25 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: boot_linuxrc
https://openqa.opensuse.org/tests/1693232

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 3 openQA Review 2021-04-23 05:17:12 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: boot_linuxrc
https://openqa.opensuse.org/tests/1693232

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 4 Matthias Brugger 2021-04-29 11:01:20 UTC
does not seem to be a kernel bug. Reassigning.
Comment 5 Steffen Winterfeldt 2021-04-29 11:12:53 UTC
I think this test is about kexecing a new kernel.

Last log lines are:

[   71.871283] kexec_core: Starting new kernel
[   71.931313] Bye!

If that's not a kexec issue, this very much looks like a kernel bug.

> does not seem to be a kernel bug.

Really? Could you share your rationale for this?
Comment 6 openQA Review 2021-05-14 05:18:23 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: boot_linuxrc
https://openqa.opensuse.org/tests/1732127

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 7 openQA Review 2021-05-28 05:18:35 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: boot_linuxrc
https://openqa.opensuse.org/tests/1747400

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 8 openQA Review 2021-06-11 05:19:12 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: boot_linuxrc
https://openqa.opensuse.org/tests/1775273

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 9 Oliver Kurz 2021-06-25 06:25:27 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: boot_linuxrc
https://openqa.opensuse.org/tests/1802176

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 10 openQA Review 2021-07-10 01:20:37 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: boot_linuxrc
https://openqa.opensuse.org/tests/1815968

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 11 openQA Review 2021-07-25 00:02:25 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: boot_linuxrc
https://openqa.opensuse.org/tests/1853679

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed